
TYPO3.Flow - Bug # 32725

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Utility
Created: 2011-12-20 Assigned To: Karsten Dambekalns
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Folder removal sometimes fail in tests
Description

On the CI server we see errors like
1)
TYPO3\FLOW3\Tests\Unit\Resource\Publishing\FileSystemPublishingTargetTest::publishStaticResourcesLinksTheSpecifiedDir
irectoryIfMirrorModeIsLink
TYPO3\FLOW3\Utility\Exception: Could not unlink file
"/tmp/FLOW3FileSystemPublishingTargetTestTarget/_Resources/Static/..".

Note the double dot at the end.

Related issues:
related to TYPO3.Flow - Bug # 32762: Folder removal fails in tests Resolved

Associated revisions
Revision 71ee8671 - 2011-12-20 14:22 - Karsten Dambekalns

[BUGFIX] Make emptyDirectoryRecursively() ignore . and ..

The check for this breaks when the iterator returns . and .., they are
then handled like files, which cannot work.

Change-Id: Ic4fb3376d51b291d540fcc2fbff61c21c243b81b
Fixes: #32725
Releases: 1.1

History
#1 - 2011-12-20 14:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7434

#2 - 2011-12-20 15:06 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:71ee8671a3ae9857e450b91d625de0af1cb30214.

#3 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
